Runtime

## org.eclipse.gmf.runtime.common.ui.services.util
Class CommonLabelProvider

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.BaseLabelProvider
              org.eclipse.jface.viewers.LabelProvider
                  org.eclipse.jface.viewers.DecoratingLabelProvider
                      org.eclipse.gmf.runtime.common.ui.services.util.CommonLabelProvider

All Implemented Interfaces:
  IBaseLabelProvider, IColorProvider, IFontProvider, ILabelProvider, ITreePathLabelProvider, IViewerLabelProvider

    public class CommonLabelProvider

extends DecoratingLabelProvider

Label provider that delegates to the Icon Service and the Parser Service for the images and text it provides.

Constructor Summary
`CommonLabelProvider()` Constructors a new label provider instance.

Method Summary
`void` `setIconOptions(int options)` Sets the icon options.
`void` `setParserOptions(int options)` Sets the parser options.

Methods inherited from class org.eclipse.jface.viewers.DecoratingLabelProvider
`addListener, dispose, getBackground, getDecorationContext, getFont, getForeground, getImage, getLabelDecorator, getLabelProvider, getText, isLabelProperty, removeListener, setDecorationContext, setLabelDecorator, updateForDecorationReady, updateLabel, updateLabel`

Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider
`fireLabelProviderChanged`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonLabelProvider

    public CommonLabelProvider()

  Constructors a new label provider instance.

Method Detail

### setParserOptions

    public void setParserOptions(int options)

  Sets the parser options.

  Parameters:
    `options` - parser options

### setIconOptions

    public void setIconOptions(int options)

  Sets the icon options.

  Parameters:
    `options` - icon options

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.